{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "createOrganism.py"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-host",
                    "valueFrom": "$(inputs.host[0])"
                },
                {
                    "position": 3,
                    "prefix": "-organism",
                    "valueFrom": "$(inputs.scientific_name[0]) $(inputs.scientific_name[1])"
                },
                {
                    "position": 5,
                    "prefix": "-genus",
                    "valueFrom": "$(inputs.scientific_name[0])"
                },
                {
                    "position": 7,
                    "prefix": "-species",
                    "valueFrom": "$(inputs.scientific_name[1])"
                },
                {
                    "position": 9,
                    "prefix": "-directory",
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_apollo2_data[0])"
                },
                {
                    "position": 11,
                    "prefix": "-blatdb",
                    "valueFrom": "$(inputs.PATH[2])/$(inputs.tree[0])/$(inputs.in_2bi.basename)"
                },
                {
                    "position": 13,
                    "prefix": "-username",
                    "valueFrom": "$(inputs.login_apollo2[0])"
                },
                {
                    "position": 15,
                    "prefix": "-password",
                    "valueFrom": "$(inputs.login_apollo2[1])"
                },
                {
                    "position": 17,
                    "valueFrom": "-publicMode"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createOrganism.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createOrganism.cwl/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createOrganism.cwl/host"
                },
                {
                    "type": "File",
                    "id": "#createOrganism.cwl/in_2bi"
                },
                {
                    "type": "File",
                    "id": "#createOrganism.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createOrganism.cwl/login_apollo2"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createOrganism.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createOrganism.cwl/tree"
                }
            ],
            "stdout": "createOrganism.log",
            "id": "#createOrganism.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#createOrganism.cwl/out_createOrganism_log",
                    "outputBinding": {
                        "glob": "createOrganism.log"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/PATH"
                },
                {
                    "type": "string",
                    "id": "#main/accession"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/blastdb_Path_stage"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_genomic_fasta"
                },
                {
                    "type": "int",
                    "id": "#main/gff_release_number"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/hmmerdb_Path_stage"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/host_stage"
                },
                {
                    "type": "string",
                    "id": "#main/link_to_publication"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/login_apollo2_stage"
                },
                {
                    "type": "string",
                    "id": "#main/managePy_Path"
                },
                {
                    "type": "string",
                    "id": "#main/organization"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_cds_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_genomic_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_protein_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_transcript_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#createOrganism.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/apollo2_create_organism/PATH"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/apollo2_create_organism/deepPATH_apollo2_data"
                        },
                        {
                            "source": "#main/host_stage",
                            "id": "#main/apollo2_create_organism/host"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_2bi",
                            "id": "#main/apollo2_create_organism/in_2bi"
                        },
                        {
                            "source": "#main/dispatch/out_dummy",
                            "id": "#main/apollo2_create_organism/in_dummy"
                        },
                        {
                            "source": "#main/login_apollo2_stage",
                            "id": "#main/apollo2_create_organism/login_apollo2"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/apollo2_create_organism/scientific_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/apollo2_create_organism/tree"
                        }
                    ],
                    "out": [
                        "#main/apollo2_create_organism/out_createOrganism_log"
                    ],
                    "id": "#main/apollo2_create_organism"
                },
                {
                    "run": "#workflow.cwl",
                    "in": [
                        {
                            "source": "#main/gff_release_number",
                            "id": "#main/apollo2_data_processing/gff_release_number"
                        },
                        {
                            "source": "#main/md5checksums/OUT_genomic_fasta",
                            "id": "#main/apollo2_data_processing/in_fasta"
                        },
                        {
                            "source": "#main/md5checksums/OUT_genomic_gff",
                            "id": "#main/apollo2_data_processing/in_gff"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/apollo2_data_processing/scientific_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/apollo2_data_processing/tree"
                        },
                        {
                            "source": "#main/url_genomic_gff",
                            "id": "#main/apollo2_data_processing/url_genomic_gff"
                        }
                    ],
                    "out": [
                        "#main/apollo2_data_processing/OUT_2bi",
                        "#main/apollo2_data_processing/OUT_seq",
                        "#main/apollo2_data_processing/OUT_tracks_conf",
                        "#main/apollo2_data_processing/OUT_tracks",
                        "#main/apollo2_data_processing/OUT_names",
                        "#main/apollo2_data_processing/OUT_gaps_bigwig",
                        "#main/apollo2_data_processing/OUT_gc_bigwig",
                        "#main/apollo2_data_processing/OUT_trackList_json",
                        "#main/apollo2_data_processing/OUT_trackList_json_bak"
                    ],
                    "id": "#main/apollo2_data_processing"
                },
                {
                    "run": "#readme-assembly-workflow.cwl",
                    "in": [
                        {
                            "source": "#main/accession",
                            "id": "#main/create_assembly_readme/accession"
                        },
                        {
                            "source": "#main/link_to_publication",
                            "id": "#main/create_assembly_readme/link_to_publication"
                        },
                        {
                            "source": "#main/organization",
                            "id": "#main/create_assembly_readme/organization"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/create_assembly_readme/scientific_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/create_assembly_readme/tree"
                        },
                        {
                            "source": "#main/url_genomic_fasta",
                            "id": "#main/create_assembly_readme/url_genomic_fasta"
                        }
                    ],
                    "out": [
                        "#main/create_assembly_readme/readme_file"
                    ],
                    "id": "#main/create_assembly_readme"
                },
                {
                    "run": "#readme-genePrediction-workflow.cwl",
                    "in": [
                        {
                            "source": "#main/link_to_publication",
                            "id": "#main/create_genePrediction_readme/link_to_publication"
                        },
                        {
                            "source": "#main/organization",
                            "id": "#main/create_genePrediction_readme/organization"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/create_genePrediction_readme/tree"
                        },
                        {
                            "source": "#main/url_cds_fasta",
                            "id": "#main/create_genePrediction_readme/url_cds_fasta"
                        },
                        {
                            "source": "#main/url_genomic_gff",
                            "id": "#main/create_genePrediction_readme/url_genomic_gff"
                        },
                        {
                            "source": "#main/url_protein_fasta",
                            "id": "#main/create_genePrediction_readme/url_protein_fasta"
                        },
                        {
                            "source": "#main/url_transcript_fasta",
                            "id": "#main/create_genePrediction_readme/url_transcript_fasta"
                        }
                    ],
                    "out": [
                        "#main/create_genePrediction_readme/readme_file"
                    ],
                    "id": "#main/create_genePrediction_readme"
                },
                {
                    "run": "#workflow.cwl_5",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/dispatch/PATH"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/dispatch/deepPATH_analyses"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/dispatch/deepPATH_apollo2_data"
                        },
                        {
                            "source": "#main/deepPATH_bigwig",
                            "id": "#main/dispatch/deepPATH_bigwig"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/dispatch/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_2bi",
                            "id": "#main/dispatch/in_2bi"
                        },
                        {
                            "source": "#main/create_assembly_readme/readme_file",
                            "id": "#main/dispatch/in_assembly_readme"
                        },
                        {
                            "source": "#main/md5checksums/OUT_cds_fasta",
                            "id": "#main/dispatch/in_cds_fasta"
                        },
                        {
                            "source": "#main/md5checksums/OUT_check",
                            "id": "#main/dispatch/in_check"
                        },
                        {
                            "source": "#main/md5checksums/OUT_extract",
                            "id": "#main/dispatch/in_extract"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_gaps_bigwig",
                            "id": "#main/dispatch/in_gaps_bigwig"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_gc_bigwig",
                            "id": "#main/dispatch/in_gc_bigwig"
                        },
                        {
                            "source": "#main/create_genePrediction_readme/readme_file",
                            "id": "#main/dispatch/in_genePrediction_readme"
                        },
                        {
                            "source": "#main/md5checksums/OUT_genomic_fasta",
                            "id": "#main/dispatch/in_genomic_fasta"
                        },
                        {
                            "source": "#main/md5checksums/OUT_genomic_gff",
                            "id": "#main/dispatch/in_genomic_gff"
                        },
                        {
                            "source": "#main/download/OUT_md5checksums",
                            "id": "#main/dispatch/in_md5checksums"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_names",
                            "id": "#main/dispatch/in_names"
                        },
                        {
                            "source": "#main/md5checksums/OUT_protein_fasta",
                            "id": "#main/dispatch/in_protein_fasta"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_seq",
                            "id": "#main/dispatch/in_seq"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_trackList_json",
                            "id": "#main/dispatch/in_trackList_json"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_trackList_json_bak",
                            "id": "#main/dispatch/in_trackList_json_bak"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_tracks",
                            "id": "#main/dispatch/in_tracks"
                        },
                        {
                            "source": "#main/apollo2_data_processing/OUT_tracks_conf",
                            "id": "#main/dispatch/in_tracks_conf"
                        },
                        {
                            "source": "#main/md5checksums/OUT_transcript_fasta",
                            "id": "#main/dispatch/in_transcript_fasta"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/dispatch/tree"
                        }
                    ],
                    "out": [
                        "#main/dispatch/out_dummy"
                    ],
                    "id": "#main/dispatch"
                },
                {
                    "run": "#workflow.cwl_6",
                    "in": [
                        {
                            "source": "#main/url_cds_fasta",
                            "id": "#main/download/url_cds_fasta"
                        },
                        {
                            "source": "#main/url_genomic_fasta",
                            "id": "#main/download/url_genomic_fasta"
                        },
                        {
                            "source": "#main/url_genomic_gff",
                            "id": "#main/download/url_genomic_gff"
                        },
                        {
                            "source": "#main/url_md5checksums",
                            "id": "#main/download/url_md5checksums"
                        },
                        {
                            "source": "#main/url_protein_fasta",
                            "id": "#main/download/url_protein_fasta"
                        },
                        {
                            "source": "#main/url_transcript_fasta",
                            "id": "#main/download/url_transcript_fasta"
                        }
                    ],
                    "out": [
                        "#main/download/OUT_md5checksums",
                        "#main/download/OUT_genomic_fasta",
                        "#main/download/OUT_genomic_gff",
                        "#main/download/OUT_protein_fasta",
                        "#main/download/OUT_transcript_fasta",
                        "#main/download/OUT_cds_fasta"
                    ],
                    "id": "#main/download"
                },
                {
                    "run": "#workflow.cwl_7",
                    "in": [
                        {
                            "source": "#main/download/OUT_cds_fasta",
                            "id": "#main/md5checksums/in_cds_fasta"
                        },
                        {
                            "source": "#main/download/OUT_genomic_fasta",
                            "id": "#main/md5checksums/in_genomic_fasta"
                        },
                        {
                            "source": "#main/download/OUT_genomic_gff",
                            "id": "#main/md5checksums/in_genomic_gff"
                        },
                        {
                            "source": "#main/download/OUT_md5checksums",
                            "id": "#main/md5checksums/in_md5checksums"
                        },
                        {
                            "source": "#main/download/OUT_protein_fasta",
                            "id": "#main/md5checksums/in_protein_fasta"
                        },
                        {
                            "source": "#main/download/OUT_transcript_fasta",
                            "id": "#main/md5checksums/in_transcript_fasta"
                        }
                    ],
                    "out": [
                        "#main/md5checksums/OUT_extract",
                        "#main/md5checksums/OUT_check",
                        "#main/md5checksums/OUT_genomic_fasta",
                        "#main/md5checksums/OUT_genomic_gff",
                        "#main/md5checksums/OUT_protein_fasta",
                        "#main/md5checksums/OUT_transcript_fasta",
                        "#main/md5checksums/OUT_cds_fasta"
                    ],
                    "id": "#main/md5checksums"
                }
            ],
            "outputs": [],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta) ]; return LIST; }"
                }
            ],
            "baseCommand": [
                "GCcontent2bigwig.py"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_fasta.basename).gc.bigwig"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#GCcontent2bigwig.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_fasta.basename).gc.bigwig"
                    },
                    "id": "#GCcontent2bigwig.cwl/out_gc_bigwig"
                }
            ],
            "id": "#GCcontent2bigwig.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_gaps_bigwig), (inputs.in_trackList_json)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add-bw-track.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--pos_color",
                    "valueFrom": "black"
                },
                {
                    "position": 3,
                    "prefix": "--neg_color",
                    "valueFrom": "white"
                },
                {
                    "position": 5,
                    "prefix": "--label",
                    "valueFrom": "Gaps in assembly"
                },
                {
                    "position": 7,
                    "prefix": "--bw_url",
                    "valueFrom": "bigwig/$(inputs.in_gaps_bigwig.basename)"
                },
                {
                    "position": 9,
                    "prefix": "--in",
                    "valueFrom": "$(inputs.in_trackList_json.basename)"
                },
                {
                    "position": 11,
                    "prefix": "--out",
                    "valueFrom": "trackList.json"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#add-bw-track_gaps.cwl/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gaps.cwl/in_trackList_json"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json"
                    },
                    "id": "#add-bw-track_gaps.cwl/out_trackList_json"
                }
            ],
            "id": "#add-bw-track_gaps.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_gc_bigwig), (inputs.in_trackList_json)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add-bw-track.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--pos_color",
                    "valueFrom": "rgba(0,0,255,50)"
                },
                {
                    "position": 3,
                    "prefix": "--neg_color",
                    "valueFrom": "rgba(255,255,0,50)"
                },
                {
                    "position": 5,
                    "prefix": "--bicolor_pivot",
                    "valueFrom": "0.5"
                },
                {
                    "position": 7,
                    "prefix": "--label",
                    "valueFrom": "GC Content"
                },
                {
                    "position": 9,
                    "prefix": "--bw_url",
                    "valueFrom": "bigwig/$(inputs.in_gc_bigwig.basename)"
                },
                {
                    "position": 11,
                    "prefix": "--in",
                    "valueFrom": "$(inputs.in_trackList_json.basename)"
                },
                {
                    "position": 13,
                    "prefix": "--out",
                    "valueFrom": "trackList.json"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#add-bw-track_gc.cwl/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gc.cwl/in_trackList_json"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json"
                    },
                    "id": "#add-bw-track_gc.cwl/out_trackList_json"
                }
            ],
            "id": "#add-bw-track_gc.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta), (inputs.in_trackList_json)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add_metadata_to_GC_gap_bigwig_tracks.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_trackList_json.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_trackList_json.basename).bak-metadata"
                },
                {
                    "position": 5,
                    "valueFrom": "$(inputs.in_fasta.basename).gc.bigwig"
                },
                {
                    "position": 7,
                    "valueFrom": "$(inputs.in_fasta.basename).gaps.bigwig"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#add_metadata.cwl/in_fasta"
                },
                {
                    "type": "File",
                    "id": "#add_metadata.cwl/in_trackList_json"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json"
                    },
                    "id": "#add_metadata.cwl/out_trackList_json"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json.bak-metadata"
                    },
                    "id": "#add_metadata.cwl/out_trackList_json_bak"
                }
            ],
            "id": "#add_metadata.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "faToTwoBit"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename).2bi"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#faToTwoBit.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.2bi"
                    },
                    "id": "#faToTwoBit.cwl/out_2bi"
                }
            ],
            "id": "#faToTwoBit.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_gff), (inputs.in_data)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add_NCBI_annotation_track.py"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-path",
                    "valueFrom": "/app/data/WebApollo_deployment/apollo_master/jbrowse/bin/flatfile-to-json.pl"
                },
                {
                    "position": 2,
                    "prefix": "-gff",
                    "valueFrom": "$(inputs.in_gff.basename)"
                },
                {
                    "position": 3,
                    "prefix": "-out",
                    "valueFrom": "data/"
                },
                {
                    "position": 4,
                    "prefix": "-organism",
                    "valueFrom": "$(inputs.scientific_name[0])_$(inputs.scientific_name[0])"
                },
                {
                    "position": 5,
                    "prefix": "-trackLabel1",
                    "valueFrom": "$(inputs.tree[0])_current_models"
                },
                {
                    "position": 6,
                    "prefix": "-release",
                    "valueFrom": "$(inputs.gff_release_number)"
                },
                {
                    "position": 7,
                    "prefix": "-source",
                    "valueFrom": "$(inputs.url_genomic_gff[0])"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "id": "#flatfile-to-json.cwl/gff_release_number"
                },
                {
                    "type": "Directory",
                    "id": "#flatfile-to-json.cwl/in_data"
                },
                {
                    "type": "File",
                    "id": "#flatfile-to-json.cwl/in_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatfile-to-json.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatfile-to-json.cwl/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatfile-to-json.cwl/url_genomic_gff"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "data/trackList.json"
                    },
                    "id": "#flatfile-to-json.cwl/out_trackList_json"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/tracks/"
                    },
                    "id": "#flatfile-to-json.cwl/out_tracks"
                }
            ],
            "id": "#flatfile-to-json.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.in_fasta)"
                        }
                    ]
                }
            ],
            "baseCommand": [
                "gap2bigwig.py"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_fasta.basename).gaps.bigwig"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#gap2bigwig.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_fasta.basename).gaps.bigwig"
                    },
                    "id": "#gap2bigwig.cwl/out_gaps_bigwig"
                }
            ],
            "id": "#gap2bigwig.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_data)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "generate-names.pl"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--verbose"
                },
                {
                    "position": 3,
                    "prefix": "--out",
                    "valueFrom": "data/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#generate-names.cwl/in_data"
                },
                {
                    "type": "Directory",
                    "id": "#generate-names.cwl/in_tracks"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/names"
                    },
                    "id": "#generate-names.cwl/out_names"
                }
            ],
            "id": "#generate-names.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta), (inputs.in_fai) ]; return LIST; }"
                }
            ],
            "baseCommand": [
                "prepare-refseqs.pl"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--fasta",
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "prefix": "--out",
                    "valueFrom": "data/"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#prepare-refseqs.cwl/in_fai"
                },
                {
                    "type": "File",
                    "id": "#prepare-refseqs.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/"
                    },
                    "id": "#prepare-refseqs.cwl/out_data"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/seq/"
                    },
                    "id": "#prepare-refseqs.cwl/out_seq"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "data/trackList.json"
                    },
                    "id": "#prepare-refseqs.cwl/out_trackList_json"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "data/tracks.conf"
                    },
                    "id": "#prepare-refseqs.cwl/out_tracks_conf"
                }
            ],
            "id": "#prepare-refseqs.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "samtools"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "faidx"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#samtools_faidx.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.fai"
                    },
                    "id": "#samtools_faidx.cwl/out_fai"
                }
            ],
            "id": "#samtools_faidx.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "id": "#workflow.cwl/gff_release_number"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl/in_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl/in_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/url_genomic_gff"
                }
            ],
            "steps": [
                {
                    "run": "#GCcontent2bigwig.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/in_fasta",
                            "id": "#workflow.cwl/GCcontent2bigwig/in_fasta"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/GCcontent2bigwig/out_gc_bigwig"
                    ],
                    "id": "#workflow.cwl/GCcontent2bigwig"
                },
                {
                    "run": "#add-bw-track_gaps.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/gap2bigwig/out_gaps_bigwig",
                            "id": "#workflow.cwl/add-bw-track_gaps/in_gaps_bigwig"
                        },
                        {
                            "source": "#workflow.cwl/flatfile-to-json/out_trackList_json",
                            "id": "#workflow.cwl/add-bw-track_gaps/in_trackList_json"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/add-bw-track_gaps/out_trackList_json"
                    ],
                    "id": "#workflow.cwl/add-bw-track_gaps"
                },
                {
                    "run": "#add-bw-track_gc.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/GCcontent2bigwig/out_gc_bigwig",
                            "id": "#workflow.cwl/add-bw-track_gc/in_gc_bigwig"
                        },
                        {
                            "source": "#workflow.cwl/add-bw-track_gaps/out_trackList_json",
                            "id": "#workflow.cwl/add-bw-track_gc/in_trackList_json"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/add-bw-track_gc/out_trackList_json"
                    ],
                    "id": "#workflow.cwl/add-bw-track_gc"
                },
                {
                    "run": "#add_metadata.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/in_fasta",
                            "id": "#workflow.cwl/add_metadata/in_fasta"
                        },
                        {
                            "source": "#workflow.cwl/add-bw-track_gc/out_trackList_json",
                            "id": "#workflow.cwl/add_metadata/in_trackList_json"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/add_metadata/out_trackList_json",
                        "#workflow.cwl/add_metadata/out_trackList_json_bak"
                    ],
                    "id": "#workflow.cwl/add_metadata"
                },
                {
                    "run": "#faToTwoBit.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/in_fasta",
                            "id": "#workflow.cwl/faToTwoBit/in_fasta"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/faToTwoBit/out_2bi"
                    ],
                    "id": "#workflow.cwl/faToTwoBit"
                },
                {
                    "run": "#flatfile-to-json.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/gff_release_number",
                            "id": "#workflow.cwl/flatfile-to-json/gff_release_number"
                        },
                        {
                            "source": "#workflow.cwl/prepare-refseqs/out_data",
                            "id": "#workflow.cwl/flatfile-to-json/in_data"
                        },
                        {
                            "source": "#workflow.cwl/in_gff",
                            "id": "#workflow.cwl/flatfile-to-json/in_gff"
                        },
                        {
                            "source": "#workflow.cwl/scientific_name",
                            "id": "#workflow.cwl/flatfile-to-json/scientific_name"
                        },
                        {
                            "source": "#workflow.cwl/tree",
                            "id": "#workflow.cwl/flatfile-to-json/tree"
                        },
                        {
                            "source": "#workflow.cwl/url_genomic_gff",
                            "id": "#workflow.cwl/flatfile-to-json/url_genomic_gff"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/flatfile-to-json/out_trackList_json",
                        "#workflow.cwl/flatfile-to-json/out_tracks"
                    ],
                    "id": "#workflow.cwl/flatfile-to-json"
                },
                {
                    "run": "#gap2bigwig.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/in_fasta",
                            "id": "#workflow.cwl/gap2bigwig/in_fasta"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/gap2bigwig/out_gaps_bigwig"
                    ],
                    "id": "#workflow.cwl/gap2bigwig"
                },
                {
                    "run": "#generate-names.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/prepare-refseqs/out_data",
                            "id": "#workflow.cwl/generate-names/in_data"
                        },
                        {
                            "source": "#workflow.cwl/flatfile-to-json/out_tracks",
                            "id": "#workflow.cwl/generate-names/in_tracks"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/generate-names/out_names"
                    ],
                    "id": "#workflow.cwl/generate-names"
                },
                {
                    "run": "#prepare-refseqs.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/samtools_faidx/out_fai",
                            "id": "#workflow.cwl/prepare-refseqs/in_fai"
                        },
                        {
                            "source": "#workflow.cwl/in_fasta",
                            "id": "#workflow.cwl/prepare-refseqs/in_fasta"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/prepare-refseqs/out_trackList_json",
                        "#workflow.cwl/prepare-refseqs/out_seq",
                        "#workflow.cwl/prepare-refseqs/out_tracks_conf",
                        "#workflow.cwl/prepare-refseqs/out_data"
                    ],
                    "id": "#workflow.cwl/prepare-refseqs"
                },
                {
                    "run": "#samtools_faidx.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/in_fasta",
                            "id": "#workflow.cwl/samtools_faidx/in_fasta"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/samtools_faidx/out_fai"
                    ],
                    "id": "#workflow.cwl/samtools_faidx"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl/faToTwoBit/out_2bi",
                    "id": "#workflow.cwl/OUT_2bi"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl/gap2bigwig/out_gaps_bigwig",
                    "id": "#workflow.cwl/OUT_gaps_bigwig"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl/GCcontent2bigwig/out_gc_bigwig",
                    "id": "#workflow.cwl/OUT_gc_bigwig"
                },
                {
                    "type": "Directory",
                    "outputSource": "#workflow.cwl/generate-names/out_names",
                    "id": "#workflow.cwl/OUT_names"
                },
                {
                    "type": "Directory",
                    "outputSource": "#workflow.cwl/prepare-refseqs/out_seq",
                    "id": "#workflow.cwl/OUT_seq"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl/add_metadata/out_trackList_json",
                    "id": "#workflow.cwl/OUT_trackList_json"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl/add_metadata/out_trackList_json_bak",
                    "id": "#workflow.cwl/OUT_trackList_json_bak"
                },
                {
                    "type": "Directory",
                    "outputSource": "#workflow.cwl/flatfile-to-json/out_tracks",
                    "id": "#workflow.cwl/OUT_tracks"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl/prepare-refseqs/out_tracks_conf",
                    "id": "#workflow.cwl/OUT_tracks_conf"
                }
            ],
            "id": "#workflow.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "touch"
            ],
            "inputs": [],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#create_readme.cwl/readme_file"
                }
            ],
            "id": "#create_readme.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#readme-assembly-workflow.cwl/accession"
                },
                {
                    "type": "string",
                    "id": "#readme-assembly-workflow.cwl/link_to_publication"
                },
                {
                    "type": "string",
                    "id": "#readme-assembly-workflow.cwl/organization"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-assembly-workflow.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-assembly-workflow.cwl/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-assembly-workflow.cwl/url_genomic_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#create_readme.cwl",
                    "in": [],
                    "out": [
                        "#readme-assembly-workflow.cwl/create_readme/readme_file"
                    ],
                    "id": "#readme-assembly-workflow.cwl/create_readme"
                },
                {
                    "run": "#writeFirstLine.cwl",
                    "in": [
                        {
                            "source": "#readme-assembly-workflow.cwl/organization",
                            "id": "#readme-assembly-workflow.cwl/writeFirstLine/organization"
                        },
                        {
                            "source": "#readme-assembly-workflow.cwl/create_readme/readme_file",
                            "id": "#readme-assembly-workflow.cwl/writeFirstLine/readme_file"
                        }
                    ],
                    "out": [
                        "#readme-assembly-workflow.cwl/writeFirstLine/out_readme_file"
                    ],
                    "id": "#readme-assembly-workflow.cwl/writeFirstLine"
                },
                {
                    "run": "#writeInfo.cwl",
                    "in": [
                        {
                            "source": "#readme-assembly-workflow.cwl/accession",
                            "id": "#readme-assembly-workflow.cwl/writeInfo/accession"
                        },
                        {
                            "source": "#readme-assembly-workflow.cwl/link_to_publication",
                            "id": "#readme-assembly-workflow.cwl/writeInfo/link_to_publication"
                        },
                        {
                            "source": "#readme-assembly-workflow.cwl/writeURL/out_readme_file",
                            "id": "#readme-assembly-workflow.cwl/writeInfo/readme_file"
                        },
                        {
                            "source": "#readme-assembly-workflow.cwl/scientific_name",
                            "id": "#readme-assembly-workflow.cwl/writeInfo/scientific_name"
                        },
                        {
                            "source": "#readme-assembly-workflow.cwl/tree",
                            "id": "#readme-assembly-workflow.cwl/writeInfo/tree"
                        }
                    ],
                    "out": [
                        "#readme-assembly-workflow.cwl/writeInfo/out_readme_file"
                    ],
                    "id": "#readme-assembly-workflow.cwl/writeInfo"
                },
                {
                    "run": "#writeLastLine.cwl",
                    "in": [
                        {
                            "source": "#readme-assembly-workflow.cwl/writeInfo/out_readme_file",
                            "id": "#readme-assembly-workflow.cwl/writeLastLine/readme_file"
                        }
                    ],
                    "out": [
                        "#readme-assembly-workflow.cwl/writeLastLine/out_readme_file"
                    ],
                    "id": "#readme-assembly-workflow.cwl/writeLastLine"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#readme-assembly-workflow.cwl/writeFirstLine/out_readme_file",
                            "id": "#readme-assembly-workflow.cwl/writeURL/readme_file"
                        },
                        {
                            "source": "#readme-assembly-workflow.cwl/url_genomic_fasta",
                            "id": "#readme-assembly-workflow.cwl/writeURL/url"
                        }
                    ],
                    "out": [
                        "#readme-assembly-workflow.cwl/writeURL/out_readme_file"
                    ],
                    "id": "#readme-assembly-workflow.cwl/writeURL"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#readme-assembly-workflow.cwl/create_readme/readme_file",
                    "id": "#readme-assembly-workflow.cwl/readme_file"
                }
            ],
            "id": "#readme-assembly-workflow.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#readme-genePrediction-workflow.cwl/link_to_publication"
                },
                {
                    "type": "string",
                    "id": "#readme-genePrediction-workflow.cwl/organization"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-genePrediction-workflow.cwl/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-genePrediction-workflow.cwl/url_cds_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-genePrediction-workflow.cwl/url_genomic_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-genePrediction-workflow.cwl/url_protein_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#readme-genePrediction-workflow.cwl/url_transcript_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#create_readme.cwl",
                    "in": [],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/create_readme/readme_file"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/create_readme"
                },
                {
                    "run": "#writeFirstLine.cwl",
                    "in": [
                        {
                            "source": "#readme-genePrediction-workflow.cwl/organization",
                            "id": "#readme-genePrediction-workflow.cwl/writeFirstLine/organization"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/create_readme/readme_file",
                            "id": "#readme-genePrediction-workflow.cwl/writeFirstLine/readme_file"
                        }
                    ],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/writeFirstLine/out_readme_file"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/writeFirstLine"
                },
                {
                    "run": "#writeInfo-genePred.cwl",
                    "in": [
                        {
                            "source": "#readme-genePrediction-workflow.cwl/writeURL-protein/out_dummy",
                            "id": "#readme-genePrediction-workflow.cwl/writeInfo/in_dummy"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/link_to_publication",
                            "id": "#readme-genePrediction-workflow.cwl/writeInfo/link_to_publication"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/writeURL-transcript/out_readme_file",
                            "id": "#readme-genePrediction-workflow.cwl/writeInfo/readme_file"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/tree",
                            "id": "#readme-genePrediction-workflow.cwl/writeInfo/tree"
                        }
                    ],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/writeInfo/out_readme_file"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/writeInfo"
                },
                {
                    "run": "#writeLastLine-genePred.cwl",
                    "in": [
                        {
                            "source": "#readme-genePrediction-workflow.cwl/writeInfo/out_readme_file",
                            "id": "#readme-genePrediction-workflow.cwl/writeLastLine/readme_file"
                        }
                    ],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/writeLastLine/out_readme_file"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/writeLastLine"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#readme-genePrediction-workflow.cwl/writeURL-gff/out_readme_file",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-cds/readme_file"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/url_cds_fasta",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-cds/url"
                        }
                    ],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/writeURL-cds/out_readme_file"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/writeURL-cds"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#readme-genePrediction-workflow.cwl/writeFirstLine/out_readme_file",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-gff/readme_file"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/url_genomic_gff",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-gff/url"
                        }
                    ],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/writeURL-gff/out_readme_file"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/writeURL-gff"
                },
                {
                    "run": "#writeURL-protein.cwl",
                    "scatter": "#readme-genePrediction-workflow.cwl/writeURL-protein/url",
                    "in": [
                        {
                            "source": "#readme-genePrediction-workflow.cwl/writeURL-transcript/out_readme_file",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-protein/readme_file"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/url_protein_fasta",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-protein/url"
                        }
                    ],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/writeURL-protein/out_dummy"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/writeURL-protein"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#readme-genePrediction-workflow.cwl/writeURL-cds/out_readme_file",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-transcript/readme_file"
                        },
                        {
                            "source": "#readme-genePrediction-workflow.cwl/url_transcript_fasta",
                            "id": "#readme-genePrediction-workflow.cwl/writeURL-transcript/url"
                        }
                    ],
                    "out": [
                        "#readme-genePrediction-workflow.cwl/writeURL-transcript/out_readme_file"
                    ],
                    "id": "#readme-genePrediction-workflow.cwl/writeURL-transcript"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#readme-genePrediction-workflow.cwl/create_readme/readme_file",
                    "id": "#readme-genePrediction-workflow.cwl/readme_file"
                }
            ],
            "id": "#readme-genePrediction-workflow.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#writeFirstLine.cwl/organization"
                },
                {
                    "type": "File",
                    "id": "#writeFirstLine.cwl/readme_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo 'The following files were retrieved from $(inputs.organization) on ${var A = new Date(); var year = A.getFullYear(); var month = A.getMonth()+1; var day = A.getDate(); var date = year + '-' + day + '-' + month;  return date;}:' > readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeFirstLine.cwl/out_readme_file"
                }
            ],
            "id": "#writeFirstLine.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#writeInfo-genePred.cwl/in_dummy"
                },
                {
                    "type": "string",
                    "id": "#writeInfo-genePred.cwl/link_to_publication"
                },
                {
                    "type": "File",
                    "id": "#writeInfo-genePred.cwl/readme_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeInfo-genePred.cwl/tree"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nInformation about this dataset can be found here: https://i5k.nal.usda.gov/content/ncbi-${ var A = inputs.tree[2].toLowerCase().replace(/_/g, '-'); return A; }\nInformation about the publication of this dataset can be found here: $(inputs.link_to_publication)' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeInfo-genePred.cwl/out_readme_file"
                }
            ],
            "id": "#writeInfo-genePred.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#writeInfo.cwl/accession"
                },
                {
                    "type": "string",
                    "id": "#writeInfo.cwl/link_to_publication"
                },
                {
                    "type": "File",
                    "id": "#writeInfo.cwl/readme_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeInfo.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeInfo.cwl/tree"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nInformation about this dataset can be found here: https://i5k.nal.usda.gov/content/${ var A = inputs.scientific_name[0].toLowerCase(); return A; }-$(inputs.scientific_name[1])-genome-assembly-${ var A = inputs.tree[1].toLowerCase().replace('.','').replace('_',''); return A; }-${ var A = inputs.accession.toLowerCase().replace('.','').replace('_',''); return A; }\nInformation about the publications of this dataset can be found here: $(inputs.link_to_publication)' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeInfo.cwl/out_readme_file"
                }
            ],
            "id": "#writeInfo.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeLastLine-genePred.cwl/readme_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nThe file was post-processed to [describe post-processing, if any]. The resulting file is: [Filename]. This file was used for the JBrowse genome browser and the Apollo manual curation tool.' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeLastLine-genePred.cwl/out_readme_file"
                }
            ],
            "id": "#writeLastLine-genePred.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeLastLine.cwl/readme_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nThe file [file] was post-processed to [describe post-processing, if any]. The resulting file is: [Filename]. This file was used for all operations within the i5k Workspace.' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeLastLine.cwl/out_readme_file"
                }
            ],
            "id": "#writeLastLine.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeURL-protein.cwl/readme_file"
                },
                {
                    "type": "string",
                    "id": "#writeURL-protein.cwl/url"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo '$(inputs.url)' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#writeURL-protein.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "url-protein.dummy"
                    }
                }
            ],
            "stdout": "url-protein.dummy",
            "id": "#writeURL-protein.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeURL.cwl/readme_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeURL.cwl/url"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo '$(inputs.url[0])' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeURL.cwl/out_readme_file"
                }
            ],
            "id": "#writeURL.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[2])/$(inputs.tree[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/PATH"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_2bi"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_2/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_2/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_2/PATH",
                            "id": "#workflow.cwl_2/cp_2bi/PATH"
                        },
                        {
                            "source": "#workflow.cwl_2/in_2bi",
                            "id": "#workflow.cwl_2/cp_2bi/in_data"
                        },
                        {
                            "source": "#workflow.cwl_2/tree",
                            "id": "#workflow.cwl_2/cp_2bi/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_2/cp_2bi"
                }
            ],
            "outputs": [],
            "id": "#workflow.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-r",
                    "valueFrom": "$(inputs.in_data.location.slice(7))"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/deepPATH"
                },
                {
                    "type": "Directory",
                    "id": "#cp_dir.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_dir.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_2/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_2/deepPATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl_2/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_2/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_1[0])/$(inputs.deepPATH_2[0])/$(inputs.tree[2])"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/deepPATH_1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/deepPATH_2"
                },
                {
                    "type": "File",
                    "id": "#cp_file_4_annotation.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_annotation.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file_4_annotation.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/deepPATH_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_assembly_readme"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_cds_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_genePrediction_readme"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_genomic_gff"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_3/in_names"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#workflow.cwl_3/in_protein_fasta"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_3/in_seq"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_trackList_json"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_trackList_json_bak"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_3/in_tracks"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_tracks_conf"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_3/in_transcript_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_3/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_assembly_readme/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_assembly_readme/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_assembly_readme",
                            "id": "#workflow.cwl_3/cp_assembly_readme/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_assembly_readme/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_assembly_readme"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_cds_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_cds_fasta/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_analyses",
                            "id": "#workflow.cwl_3/cp_cds_fasta/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_3/in_cds_fasta",
                            "id": "#workflow.cwl_3/cp_cds_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_cds_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_cds_fasta"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_gaps_bigwig/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_bigwig",
                            "id": "#workflow.cwl_3/cp_gaps_bigwig/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_gaps_bigwig",
                            "id": "#workflow.cwl_3/cp_gaps_bigwig/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_gaps_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_gaps_bigwig"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_gc_bigwig/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_bigwig",
                            "id": "#workflow.cwl_3/cp_gc_bigwig/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_gc_bigwig",
                            "id": "#workflow.cwl_3/cp_gc_bigwig/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_gc_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_gc_bigwig"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_genePrediction_readme/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_genePrediction_readme/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_analyses",
                            "id": "#workflow.cwl_3/cp_genePrediction_readme/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_3/in_genePrediction_readme",
                            "id": "#workflow.cwl_3/cp_genePrediction_readme/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_genePrediction_readme/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_genePrediction_readme"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_genomic_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_genomic_fasta/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_genomic_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_genomic_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_genomic_fasta"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_genomic_gff/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_genomic_gff/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_analyses",
                            "id": "#workflow.cwl_3/cp_genomic_gff/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_3/in_genomic_gff",
                            "id": "#workflow.cwl_3/cp_genomic_gff/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_genomic_gff/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_genomic_gff"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_names/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_3/cp_names/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_names",
                            "id": "#workflow.cwl_3/cp_names/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_names/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_names"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "scatter": "#workflow.cwl_3/cp_protein_fasta/in_data",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_protein_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_protein_fasta/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_analyses",
                            "id": "#workflow.cwl_3/cp_protein_fasta/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_3/in_protein_fasta",
                            "id": "#workflow.cwl_3/cp_protein_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_protein_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_protein_fasta"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_seq/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_3/cp_seq/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_seq",
                            "id": "#workflow.cwl_3/cp_seq/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_seq/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_seq"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_trackList_json/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_3/cp_trackList_json/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_trackList_json",
                            "id": "#workflow.cwl_3/cp_trackList_json/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_trackList_json/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_trackList_json"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_trackList_json_bak/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_3/cp_trackList_json_bak/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_trackList_json_bak",
                            "id": "#workflow.cwl_3/cp_trackList_json_bak/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_trackList_json_bak/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_trackList_json_bak"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_tracks/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_3/cp_tracks/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_tracks",
                            "id": "#workflow.cwl_3/cp_tracks/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_tracks/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_tracks"
                },
                {
                    "run": "#cp_file.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_tracks_conf/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_3/cp_tracks_conf/deepPATH"
                        },
                        {
                            "source": "#workflow.cwl_3/in_tracks_conf",
                            "id": "#workflow.cwl_3/cp_tracks_conf/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_tracks_conf/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_tracks_conf"
                },
                {
                    "run": "#cp_file_4_annotation.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_3/PATH",
                            "id": "#workflow.cwl_3/cp_transcript_fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_3/cp_transcript_fasta/deepPATH_1"
                        },
                        {
                            "source": "#workflow.cwl_3/deepPATH_analyses",
                            "id": "#workflow.cwl_3/cp_transcript_fasta/deepPATH_2"
                        },
                        {
                            "source": "#workflow.cwl_3/in_transcript_fasta",
                            "id": "#workflow.cwl_3/cp_transcript_fasta/in_data"
                        },
                        {
                            "source": "#workflow.cwl_3/tree",
                            "id": "#workflow.cwl_3/cp_transcript_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_3/cp_transcript_fasta"
                }
            ],
            "outputs": [],
            "id": "#workflow.cwl_3"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[1])/$(inputs.tree[0])/$(inputs.tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_3/PATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl_3/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl_3/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file.cwl_3"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_4/PATH"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_4/in_check"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_4/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_4/in_extract"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_4/in_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_4/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file.cwl_3",
                    "in": [
                        {
                            "source": "#workflow.cwl_4/PATH",
                            "id": "#workflow.cwl_4/cp_check/PATH"
                        },
                        {
                            "source": "#workflow.cwl_4/in_check",
                            "id": "#workflow.cwl_4/cp_check/in_data"
                        },
                        {
                            "source": "#workflow.cwl_4/tree",
                            "id": "#workflow.cwl_4/cp_check/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_4/cp_check"
                },
                {
                    "run": "#cp_file.cwl_3",
                    "in": [
                        {
                            "source": "#workflow.cwl_4/PATH",
                            "id": "#workflow.cwl_4/cp_extract/PATH"
                        },
                        {
                            "source": "#workflow.cwl_4/in_extract",
                            "id": "#workflow.cwl_4/cp_extract/in_data"
                        },
                        {
                            "source": "#workflow.cwl_4/tree",
                            "id": "#workflow.cwl_4/cp_extract/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_4/cp_extract"
                },
                {
                    "run": "#cp_file.cwl_3",
                    "in": [
                        {
                            "source": "#workflow.cwl_4/PATH",
                            "id": "#workflow.cwl_4/cp_md5checksums/PATH"
                        },
                        {
                            "source": "#workflow.cwl_4/in_md5checksums",
                            "id": "#workflow.cwl_4/cp_md5checksums/in_data"
                        },
                        {
                            "source": "#workflow.cwl_4/tree",
                            "id": "#workflow.cwl_4/cp_md5checksums/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_4/cp_md5checksums"
                }
            ],
            "outputs": [],
            "id": "#workflow.cwl_4"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "ln"
            ],
            "arguments": [
                {
                    "prefix": "-si",
                    "position": 1,
                    "valueFrom": "../../scaffold/bigwig"
                },
                {
                    "prefix": "-t",
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/jbrowse/data"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#link_bigwig.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#link_bigwig.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#link_bigwig.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#link_bigwig.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "creating directory tree",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "mkdir"
            ],
            "arguments": [
                {
                    "prefix": "-p",
                    "position": 1,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/jbrowse/data"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/$(inputs.tree[2])"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/bigwig"
                },
                {
                    "position": 4,
                    "valueFrom": "$(inputs.PATH[1])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/remap"
                },
                {
                    "position": 5,
                    "valueFrom": "$(inputs.PATH[2])/$(inputs.tree[0])"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#setup_folder.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#setup_folder.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "setup_folder.dummy"
                    }
                }
            ],
            "stdout": "setup_folder.dummy",
            "id": "#setup_folder.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_5/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_5/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_5/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_5/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_5/deepPATH_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_2bi"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_assembly_readme"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_cds_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_check"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_extract"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_genePrediction_readme"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_genomic_gff"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_md5checksums"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_5/in_names"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#workflow.cwl_5/in_protein_fasta"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_5/in_seq"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_trackList_json"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_trackList_json_bak"
                },
                {
                    "type": "Directory",
                    "id": "#workflow.cwl_5/in_tracks"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_tracks_conf"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_5/in_transcript_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_5/tree"
                }
            ],
            "steps": [
                {
                    "run": "#workflow.cwl_2",
                    "in": [
                        {
                            "source": "#workflow.cwl_5/PATH",
                            "id": "#workflow.cwl_5/2blat/PATH"
                        },
                        {
                            "source": "#workflow.cwl_5/in_2bi",
                            "id": "#workflow.cwl_5/2blat/in_2bi"
                        },
                        {
                            "source": "#workflow.cwl_5/setup_folder/out_dummy",
                            "id": "#workflow.cwl_5/2blat/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_5/tree",
                            "id": "#workflow.cwl_5/2blat/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_5/2blat"
                },
                {
                    "run": "#workflow.cwl_3",
                    "in": [
                        {
                            "source": "#workflow.cwl_5/PATH",
                            "id": "#workflow.cwl_5/2other_species/PATH"
                        },
                        {
                            "source": "#workflow.cwl_5/deepPATH_analyses",
                            "id": "#workflow.cwl_5/2other_species/deepPATH_analyses"
                        },
                        {
                            "source": "#workflow.cwl_5/deepPATH_apollo2_data",
                            "id": "#workflow.cwl_5/2other_species/deepPATH_apollo2_data"
                        },
                        {
                            "source": "#workflow.cwl_5/deepPATH_bigwig",
                            "id": "#workflow.cwl_5/2other_species/deepPATH_bigwig"
                        },
                        {
                            "source": "#workflow.cwl_5/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_5/2other_species/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#workflow.cwl_5/in_assembly_readme",
                            "id": "#workflow.cwl_5/2other_species/in_assembly_readme"
                        },
                        {
                            "source": "#workflow.cwl_5/in_cds_fasta",
                            "id": "#workflow.cwl_5/2other_species/in_cds_fasta"
                        },
                        {
                            "source": "#workflow.cwl_5/setup_folder/out_dummy",
                            "id": "#workflow.cwl_5/2other_species/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_5/in_gaps_bigwig",
                            "id": "#workflow.cwl_5/2other_species/in_gaps_bigwig"
                        },
                        {
                            "source": "#workflow.cwl_5/in_gc_bigwig",
                            "id": "#workflow.cwl_5/2other_species/in_gc_bigwig"
                        },
                        {
                            "source": "#workflow.cwl_5/in_genePrediction_readme",
                            "id": "#workflow.cwl_5/2other_species/in_genePrediction_readme"
                        },
                        {
                            "source": "#workflow.cwl_5/in_genomic_fasta",
                            "id": "#workflow.cwl_5/2other_species/in_genomic_fasta"
                        },
                        {
                            "source": "#workflow.cwl_5/in_genomic_gff",
                            "id": "#workflow.cwl_5/2other_species/in_genomic_gff"
                        },
                        {
                            "source": "#workflow.cwl_5/in_names",
                            "id": "#workflow.cwl_5/2other_species/in_names"
                        },
                        {
                            "source": "#workflow.cwl_5/in_protein_fasta",
                            "id": "#workflow.cwl_5/2other_species/in_protein_fasta"
                        },
                        {
                            "source": "#workflow.cwl_5/in_seq",
                            "id": "#workflow.cwl_5/2other_species/in_seq"
                        },
                        {
                            "source": "#workflow.cwl_5/in_trackList_json",
                            "id": "#workflow.cwl_5/2other_species/in_trackList_json"
                        },
                        {
                            "source": "#workflow.cwl_5/in_trackList_json_bak",
                            "id": "#workflow.cwl_5/2other_species/in_trackList_json_bak"
                        },
                        {
                            "source": "#workflow.cwl_5/in_tracks",
                            "id": "#workflow.cwl_5/2other_species/in_tracks"
                        },
                        {
                            "source": "#workflow.cwl_5/in_tracks_conf",
                            "id": "#workflow.cwl_5/2other_species/in_tracks_conf"
                        },
                        {
                            "source": "#workflow.cwl_5/in_transcript_fasta",
                            "id": "#workflow.cwl_5/2other_species/in_transcript_fasta"
                        },
                        {
                            "source": "#workflow.cwl_5/tree",
                            "id": "#workflow.cwl_5/2other_species/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_5/2other_species"
                },
                {
                    "run": "#workflow.cwl_4",
                    "in": [
                        {
                            "source": "#workflow.cwl_5/PATH",
                            "id": "#workflow.cwl_5/2working_files/PATH"
                        },
                        {
                            "source": "#workflow.cwl_5/in_check",
                            "id": "#workflow.cwl_5/2working_files/in_check"
                        },
                        {
                            "source": "#workflow.cwl_5/setup_folder/out_dummy",
                            "id": "#workflow.cwl_5/2working_files/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_5/in_extract",
                            "id": "#workflow.cwl_5/2working_files/in_extract"
                        },
                        {
                            "source": "#workflow.cwl_5/in_md5checksums",
                            "id": "#workflow.cwl_5/2working_files/in_md5checksums"
                        },
                        {
                            "source": "#workflow.cwl_5/tree",
                            "id": "#workflow.cwl_5/2working_files/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_5/2working_files"
                },
                {
                    "run": "#link_bigwig.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_5/PATH",
                            "id": "#workflow.cwl_5/link_bigwig/PATH"
                        },
                        {
                            "source": "#workflow.cwl_5/setup_folder/out_dummy",
                            "id": "#workflow.cwl_5/link_bigwig/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_5/tree",
                            "id": "#workflow.cwl_5/link_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#workflow.cwl_5/link_bigwig"
                },
                {
                    "run": "#setup_folder.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_5/PATH",
                            "id": "#workflow.cwl_5/setup_folder/PATH"
                        },
                        {
                            "source": "#workflow.cwl_5/deepPATH_analyses",
                            "id": "#workflow.cwl_5/setup_folder/deepPATH_analyses"
                        },
                        {
                            "source": "#workflow.cwl_5/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl_5/setup_folder/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#workflow.cwl_5/tree",
                            "id": "#workflow.cwl_5/setup_folder/tree"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_5/setup_folder/out_dummy"
                    ],
                    "id": "#workflow.cwl_5/setup_folder"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_5/setup_folder/out_dummy",
                    "id": "#workflow.cwl_5/out_dummy"
                }
            ],
            "id": "#workflow.cwl_5"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget_multi.cwl/in_url"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": [
                            "*"
                        ]
                    },
                    "id": "#wget_multi.cwl/out_wget"
                }
            ],
            "id": "#wget_multi.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget_single.cwl/in_url"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": [
                            "*"
                        ]
                    },
                    "id": "#wget_single.cwl/out_wget"
                }
            ],
            "id": "#wget_single.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_6/url_cds_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_6/url_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_6/url_genomic_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_6/url_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_6/url_protein_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl_6/url_transcript_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_6/url_cds_fasta",
                            "id": "#workflow.cwl_6/wget_cds_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_6/wget_cds_fasta/out_wget"
                    ],
                    "id": "#workflow.cwl_6/wget_cds_fasta"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_6/url_genomic_fasta",
                            "id": "#workflow.cwl_6/wget_genomic_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_6/wget_genomic_fasta/out_wget"
                    ],
                    "id": "#workflow.cwl_6/wget_genomic_fasta"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_6/url_genomic_gff",
                            "id": "#workflow.cwl_6/wget_genomic_gff/in_url"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_6/wget_genomic_gff/out_wget"
                    ],
                    "id": "#workflow.cwl_6/wget_genomic_gff"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_6/url_md5checksums",
                            "id": "#workflow.cwl_6/wget_md5checksums/in_url"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_6/wget_md5checksums/out_wget"
                    ],
                    "id": "#workflow.cwl_6/wget_md5checksums"
                },
                {
                    "run": "#wget_multi.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_6/url_protein_fasta",
                            "id": "#workflow.cwl_6/wget_protein_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_6/wget_protein_fasta/out_wget"
                    ],
                    "id": "#workflow.cwl_6/wget_protein_fasta"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_6/url_transcript_fasta",
                            "id": "#workflow.cwl_6/wget_transcript_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_6/wget_transcript_fasta/out_wget"
                    ],
                    "id": "#workflow.cwl_6/wget_transcript_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_6/wget_cds_fasta/out_wget",
                    "id": "#workflow.cwl_6/OUT_cds_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_6/wget_genomic_fasta/out_wget",
                    "id": "#workflow.cwl_6/OUT_genomic_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_6/wget_genomic_gff/out_wget",
                    "id": "#workflow.cwl_6/OUT_genomic_gff"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_6/wget_md5checksums/out_wget",
                    "id": "#workflow.cwl_6/OUT_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#workflow.cwl_6/wget_protein_fasta/out_wget",
                    "id": "#workflow.cwl_6/OUT_protein_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_6/wget_transcript_fasta/out_wget",
                    "id": "#workflow.cwl_6/OUT_transcript_fasta"
                }
            ],
            "id": "#workflow.cwl_6"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = inputs.in_gz; LIST.push(inputs.in_check); return LIST; }"
                }
            ],
            "baseCommand": [
                "md5sum"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-c",
                    "valueFrom": "$(inputs.in_check.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#check_md5checksums.cwl/in_check"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#check_md5checksums.cwl/in_gz"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#check_md5checksums.cwl/out_check",
                    "outputBinding": {
                        "glob": "${ var X = (inputs.in_check); return X.nameroot + '.log'; }"
                    }
                }
            ],
            "stderr": "${ var X = (inputs.in_check); return X.nameroot + '.log'; }",
            "id": "#check_md5checksums.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_txt)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "egrep"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "${ var A = inputs.in_gz; var B = []; for (var i = 0; i < A.length; i++) { B = B + A[i].basename; if(i != A.length-1) { B = B + '|'; } } return B; }"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_txt.basename)"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#extract_md5checksums.cwl/in_gz"
                },
                {
                    "type": "File",
                    "id": "#extract_md5checksums.cwl/in_txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#extract_md5checksums.cwl/out_extract",
                    "outputBinding": {
                        "glob": "md5checksums.txt2"
                    }
                }
            ],
            "stdout": "md5checksums.txt2",
            "id": "#extract_md5checksums.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = inputs.in_gz; return LIST; }"
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-df",
                    "valueFrom": "$(inputs.in_gz)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#gunzip_multi.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#gunzip_multi.cwl/in_gz"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "${ var A = inputs.in_gz; var B = []; for(var i = 0; i < A.length; i++){ B.push(A[i].nameroot); } return B; }"
                    },
                    "id": "#gunzip_multi.cwl/out_gz"
                }
            ],
            "id": "#gunzip_multi.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_gz)"
                    ]
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-df",
                    "valueFrom": "$(inputs.in_gz.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#gunzip_single.cwl/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#gunzip_single.cwl/in_gz"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_gz.nameroot)"
                    },
                    "id": "#gunzip_single.cwl/out_gz"
                }
            ],
            "id": "#gunzip_single.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#workflow.cwl_7/in_cds_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_7/in_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_7/in_genomic_gff"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_7/in_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#workflow.cwl_7/in_protein_fasta"
                },
                {
                    "type": "File",
                    "id": "#workflow.cwl_7/in_transcript_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#check_md5checksums.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_7/extract_md5checksums/out_extract",
                            "id": "#workflow.cwl_7/check_md5checksums/in_check"
                        },
                        {
                            "source": [
                                "#workflow.cwl_7/in_genomic_fasta",
                                "#workflow.cwl_7/in_genomic_gff",
                                "#workflow.cwl_7/in_protein_fasta",
                                "#workflow.cwl_7/in_transcript_fasta",
                                "#workflow.cwl_7/in_cds_fasta"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#workflow.cwl_7/check_md5checksums/in_gz"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_7/check_md5checksums/out_check"
                    ],
                    "id": "#workflow.cwl_7/check_md5checksums"
                },
                {
                    "run": "#extract_md5checksums.cwl",
                    "in": [
                        {
                            "source": [
                                "#workflow.cwl_7/in_genomic_fasta",
                                "#workflow.cwl_7/in_genomic_gff",
                                "#workflow.cwl_7/in_protein_fasta",
                                "#workflow.cwl_7/in_transcript_fasta",
                                "#workflow.cwl_7/in_cds_fasta"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#workflow.cwl_7/extract_md5checksums/in_gz"
                        },
                        {
                            "source": "#workflow.cwl_7/in_md5checksums",
                            "id": "#workflow.cwl_7/extract_md5checksums/in_txt"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_7/extract_md5checksums/out_extract"
                    ],
                    "id": "#workflow.cwl_7/extract_md5checksums"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_7/check_md5checksums/out_check",
                            "id": "#workflow.cwl_7/gunzip_cds_fasta/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_7/in_cds_fasta",
                            "id": "#workflow.cwl_7/gunzip_cds_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_7/gunzip_cds_fasta/out_gz"
                    ],
                    "id": "#workflow.cwl_7/gunzip_cds_fasta"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_7/check_md5checksums/out_check",
                            "id": "#workflow.cwl_7/gunzip_genomic_fasta/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_7/in_genomic_fasta",
                            "id": "#workflow.cwl_7/gunzip_genomic_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_7/gunzip_genomic_fasta/out_gz"
                    ],
                    "id": "#workflow.cwl_7/gunzip_genomic_fasta"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_7/check_md5checksums/out_check",
                            "id": "#workflow.cwl_7/gunzip_genomic_gff/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_7/in_genomic_gff",
                            "id": "#workflow.cwl_7/gunzip_genomic_gff/in_gz"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_7/gunzip_genomic_gff/out_gz"
                    ],
                    "id": "#workflow.cwl_7/gunzip_genomic_gff"
                },
                {
                    "run": "#gunzip_multi.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_7/check_md5checksums/out_check",
                            "id": "#workflow.cwl_7/gunzip_protein_fasta/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_7/in_protein_fasta",
                            "id": "#workflow.cwl_7/gunzip_protein_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_7/gunzip_protein_fasta/out_gz"
                    ],
                    "id": "#workflow.cwl_7/gunzip_protein_fasta"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl_7/check_md5checksums/out_check",
                            "id": "#workflow.cwl_7/gunzip_transcript_fasta/in_dummy"
                        },
                        {
                            "source": "#workflow.cwl_7/in_transcript_fasta",
                            "id": "#workflow.cwl_7/gunzip_transcript_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#workflow.cwl_7/gunzip_transcript_fasta/out_gz"
                    ],
                    "id": "#workflow.cwl_7/gunzip_transcript_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_7/gunzip_cds_fasta/out_gz",
                    "id": "#workflow.cwl_7/OUT_cds_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_7/check_md5checksums/out_check",
                    "id": "#workflow.cwl_7/OUT_check"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_7/extract_md5checksums/out_extract",
                    "id": "#workflow.cwl_7/OUT_extract"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_7/gunzip_genomic_fasta/out_gz",
                    "id": "#workflow.cwl_7/OUT_genomic_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_7/gunzip_genomic_gff/out_gz",
                    "id": "#workflow.cwl_7/OUT_genomic_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#workflow.cwl_7/gunzip_protein_fasta/out_gz",
                    "id": "#workflow.cwl_7/OUT_protein_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl_7/gunzip_transcript_fasta/out_gz",
                    "id": "#workflow.cwl_7/OUT_transcript_fasta"
                }
            ],
            "id": "#workflow.cwl_7"
        }
    ],
    "cwlVersion": "v1.0"
}
